# TWO property

BigInteger TWO
final

This creates a BigInteger with value 2.

Usage:

    final two = BigInteger.TWO;

A wrapper class for arbitrary precision integers.

This class wraps Dart's BigInt and provides Java-like functionality similar to Java's BigInteger class.

Example usage:

    BigInteger a = BigInteger("123456789012345678901234567890");
    BigInteger b = BigInteger.fromInt(42);
    BigInteger sum = a + b;

    print(sum.toString()); // Very large number
    print(a.isProbablePrime()); // Primality test

## Implementation

    static final BigInteger TWO = BigInteger._(BigInt.two);